Bug 494096 - Warning: Hidden file found: /usr/bin/.fipscheck.hmac
Warning: Hidden file found: /usr/bin/.fipscheck.hmac
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rkhunter (Show other bugs)
11
i586 Linux
low Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-04 04:44 EDT by Frank Murphy
Modified: 2009-10-27 22:17 EDT (History)
5 users (show)

See Also:
Fixed In Version: 1.3.4-6.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-30 17:40:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Murphy 2009-04-04 04:44:57 EDT
Description of problem:
Warning: Hidden file found: /usr/bin/.fipscheck.hmac


Version-Release number of selected component (if applicable):
rkhunter-1.3.4-5.fc11.noarch
fipscheck-1.1.1-1.fc11.i586

How reproducible:
Always since full re-install

Steps to Reproduce:
1. Let rkh run on schedule
2.
3.
  
Actual results:
08:52:00]   Checking for hidden files and directories       [ Warning ]
[08:52:00] Warning: Hidden file found: /usr/bin/.fipscheck.hmac: ASCII text

Expected results:


Additional info:
http://people.redhat.com/tmraz/fipscheck/fipscheck.spec
Should this be whitelisted\default as per ssh stuff?
Comment 1 Kevin Fenzi 2009-04-06 23:03:38 EDT
Yeah, these FIPS files keep getting added. ;( 

Adding Tomáš here. 

Tomáš: Can we expect more of these files? 
Would you like to just add them to rkhunter when you add them to other packages? 
Or just let me know when they are to appear and I can add them?
Comment 2 Tomas Mraz 2009-04-07 02:52:57 EDT
We have these files in openssl, openssh, libgcrypt and fipscheck packages.

They will be added for the openswan package if they are not there yet.

I don't think they will be added to any additional packages.
Comment 3 Fedora Update System 2009-06-06 23:46:16 EDT
rkhunter-1.3.4-6.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rkhunter-1.3.4-6.fc11
Comment 4 Bug Zapper 2009-06-09 09:15:22 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora Update System 2009-06-15 21:56:12 EDT
rkhunter-1.3.4-6.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rkhunter'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6241
Comment 6 Fedora Update System 2009-06-30 17:40:09 EDT
rkhunter-1.3.4-6.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Devrim GÜNDÜZ 2009-10-24 14:38:07 EDT
Kevin, do you plan to push this update to EPEL repo, too?
Comment 8 Robert Hoekstra 2009-10-26 03:19:13 EDT
Using rkhunter-1.3.4-7.fc11.noarch I still have this warning.. ?
Comment 9 Kevin Fenzi 2009-10-27 22:17:18 EDT
(In reply to comment #7)
> Kevin, do you plan to push this update to EPEL repo, too?  

Yeah, I guess it's needed now that 5.4 has fips in it. ;( 

(In reply to comment #8)
> Using rkhunter-1.3.4-7.fc11.noarch I still have this warning.. ?  

Check to see if you have a /etc/rkhunter.conf.rpmnew that has the added definitions in it. 
You will need to merge them into your config or copy it in place and re-add any customizations you have made.

Note You need to log in before you can comment on or make changes to this bug.